provider "google" {
  project     = "terraformexplore-343004"
  region = "us-central1"
  zone = "us-central1-a"
}

resource "random_string" "vm-name" {
  length  = 12
  upper   = false
  number  = false
  lower   = true
  special = false
}

# Machine Name
locals {
  vm-name = "${random_string.vm-name.result}-vm"
}
    
resource "google_compute_instance" "vm_instance" {    
      name         = local.vm-name
      machine_type = "f1-micro"
    
      boot_disk {
        initialize_params {
          image = "debian-cloud/debian-9"
        }
      }    
      network_interface {       
        network = "default"
        access_config {
        }
      }
}
    